unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls,
  WideStringList;

type
  TForm2 = class(TForm)
    ListBox1: TListBox;
    Button1: TButton;
    Button2: TButton;
    procedure ListBox1DblClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    procedure FillDictionaries(const SL: TWideStringList; const Selected: Integer);
    function Execute: Integer;
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

function TForm2.Execute: Integer;
begin
  if ShowModal = mrOk then
    Result := ListBox1.Itemindex
  else
    Result := -1;
end;

procedure TForm2.FillDictionaries(const SL: TWideStringList;
  const Selected: Integer);
var
  C: Integer;
begin
  ListBox1.Clear;

  if Assigned(SL) then
  begin
    for C := 0 to SL.Count - 1 do
      ListBox1.Items.Add(SL[C]);
    ListBox1.ItemIndex := Selected;
  end;
end;

procedure TForm2.ListBox1DblClick(Sender: TObject);
begin
  ModalResult := mrOk;
end;

procedure TForm2.FormShow(Sender: TObject);
begin
  Button1.Enabled := ListBox1.ItemIndex <> -1;
end;

end.
